LibreOffice: XStarBasicLibraryInfo Interface Reference

LibreOffice LibreOffice 4.4 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XStarBasicLibraryInfo Interface Referencepublished

Interface representing a library and provides access to its modules. More...

`import"XStarBasicLibraryInfo.idl";`

Inheritance diagram for XStarBasicLibraryInfo:

## Public Member Functions
string | getName ()
| returns the library's name More...
com::sun::star::container::XNameContainer | getModuleContainer ()
| returns the module container giving access to the modules stored in the library. More...
com::sun::star::container::XNameContainer | getDialogContainer ()
| returns the dialog container giving access to the dialogs stored in the library. More...
string | getPassword ()
| returns the password, if the library is protected with one, an empty string otherwise. More...
string | getExternalSourceURL ()
| returns an URL describing the location where the library is stored if the library is stored separately (for example not in the main XML file but in a special library format file), an empty string otherwise. More...
string | getLinkTargetURL ()
| returns an URL describing the location of the library linked to. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface representing a library and provides access to its modules.

Deprecated:

## Member Function Documentation

com::sun::star::container::XNameContainer getDialogContainer | ( |  | ) |

returns the dialog container giving access to the dialogs stored in the library.

The container has to be returned in any case, no matter if the library is stored embedded, external, or linked.

See also
  getExternalSourceURL
  getLinkTargetURL

string getExternalSourceURL | ( |  | ) |

returns an URL describing the location where the library is stored if the library is stored separately (for example not in the main XML file but in a special library format file), an empty string otherwise.

This information can be useful to optimize the access to the library, e.g., for loading on demand.

string getLinkTargetURL | ( |  | ) |

returns an URL describing the location of the library linked to.

HINT: This method can be removed when there is a generic interface for linking. Then the implementation will simply support this "XLinked" interface and it can be checked by queryInterface().

com::sun::star::container::XNameContainer getModuleContainer | ( |  | ) |

returns the module container giving access to the modules stored in the library.

The container has to be returned in any case, no matter if the library is stored embedded, external, or linked.

See also
  getExternalSourceURL
  getLinkTargetURL

string getName | ( |  | ) |

returns the library's name

string getPassword | ( |  | ) |

returns the password, if the library is protected with one, an empty string otherwise.

The documentation for this interface was generated from the following file:

- com/sun/star/script/XStarBasicLibraryInfo.idl